<?php
/*
	Copyright(c) 2011 Shift Tech Inc. All Rights Reserved.
 	http://www.shift-tech.jp/
*/

require_once (dirname(__FILE__).'/../../../lib/common/unitCommon.php');

class extLinkTxtBtn extends unitCommon
{
	//------ ユニット毎に必ず設定しなくてはならない変数 -------//
	var $_table = "unit_multiple_data"; 		//公開用テーブル名
	var $_tmptable = "unit_multiple_data_tmp";	//下書き用テーブル名
	var $_unit_dir = "extLinkTxtBtn";
	var $columns = array(
		array("column"=>"pageu_code","conv"=>"n","tags"=>false),	//ユニット個別ID
		array("column"=>"pageu_unit_code","conv"=>"n","tags"=>false),	//ユニット個別ID
		array("column"=>"pageu_unit_name","conv"=>"Kva","tags"=>false),	//ユニット個別ID
		array("column"=>"mlt_data1","conv"=>"Kva","tags"=>false),	//データ1
		array("column"=>"mlt_data2","conv"=>"Kva","tags"=>true),	//データ2
		array("column"=>"mlt_data3","conv"=>"Kva","tags"=>false),	//データ3
		array("column"=>"mlt_data4","conv"=>"Kva","tags"=>false),	//データ4
		array("column"=>"mlt_data5","conv"=>"Kva","tags"=>false),	//データ5
		array("column"=>"mlt_data6","conv"=>"Kva","tags"=>false),	//データ6
		array("column"=>"mlt_data7","conv"=>"Kva","tags"=>false),	//データ7
		array("column"=>"mlt_data8","conv"=>"Kva","tags"=>false),	//データ8
		array("column"=>"mlt_data9","conv"=>"Kva","tags"=>false),	//データ9
		array("column"=>"mlt_data10","conv"=>"Kva","tags"=>false),	//データ10
		array("column"=>"mlt_data11","conv"=>"Kva","tags"=>false),	//データ11
		array("column"=>"mlt_data12","conv"=>"Kva","tags"=>false),	//データ12
		array("column"=>"mlt_data13","conv"=>"Kva","tags"=>false),	//データ13
		array("column"=>"mlt_data14","conv"=>"Kva","tags"=>false),	//データ14
		array("column"=>"mlt_data15","conv"=>"Kva","tags"=>false),	//データ15
		array("column"=>"mlt_data16","conv"=>"Kva","tags"=>false),	//データ16
		array("column"=>"mlt_data17","conv"=>"Kva","tags"=>false),	//データ17
		array("column"=>"mlt_data18","conv"=>"Kva","tags"=>false),	//データ18
		array("column"=>"mlt_data19","conv"=>"Kva","tags"=>false),	//データ19
		array("column"=>"mlt_data20","conv"=>"Kva","tags"=>false),	//データ20
		array("column"=>"mlt_data21","conv"=>"Kva","tags"=>false),	//データ21
		array("column"=>"mlt_data22","conv"=>"Kva","tags"=>false),	//データ22
		array("column"=>"mlt_data23","conv"=>"Kva","tags"=>false),	//データ23
		array("column"=>"mlt_data24","conv"=>"Kva","tags"=>false),	//データ24
		array("column"=>"mlt_data25","conv"=>"Kva","tags"=>false),	//データ25
		array("column"=>"mlt_data26","conv"=>"Kva","tags"=>false),	//データ26
		array("column"=>"mlt_data27","conv"=>"Kva","tags"=>false),	//データ27
		array("column"=>"mlt_data28","conv"=>"Kva","tags"=>false),	//データ28
		array("column"=>"mlt_data29","conv"=>"Kva","tags"=>false),	//データ29
		array("column"=>"mlt_data30","conv"=>"Kva","tags"=>false),	//データ30 
		array("column"=>"mlt_data31","conv"=>"Kva","tags"=>false),	//データ31
		array("column"=>"mlt_data32","conv"=>"Kva","tags"=>false),	//データ32
		array("column"=>"mlt_data33","conv"=>"Kva","tags"=>false),	//データ33
		array("column"=>"mlt_data34","conv"=>"Kva","tags"=>false),	//データ34
		array("column"=>"mlt_data35","conv"=>"Kva","tags"=>false),	//データ35
		array("column"=>"mlt_data36","conv"=>"Kva","tags"=>false),	//データ36
		array("column"=>"mlt_data37","conv"=>"Kva","tags"=>false),	//データ37
		array("column"=>"mlt_data38","conv"=>"Kva","tags"=>false),	//データ38
		array("column"=>"mlt_data39","conv"=>"Kva","tags"=>false),	//データ39
		array("column"=>"mlt_data40","conv"=>"Kva","tags"=>false),	//データ40
		array("column"=>"bg_color","conv"=>"n","tags"=>false),		//背景色
		array("column"=>"bdr_type","conv"=>"n","tags"=>false),		//枠線
		array("column"=>"btm_padding","conv"=>"n","tags"=>false),	//下方スペース
		array("column"=>"bg_color_sp","conv"=>"n","tags"=>false),		//背景色
		array("column"=>"bdr_type_sp","conv"=>"n","tags"=>false),		//枠線
		array("column"=>"btm_padding_sp","conv"=>"n","tags"=>false),	//下方スペース
		array("column"=>"use_pc_flg","conv"=>"n","tags"=>false),	//PCフラグ
		array("column"=>"use_sp_flg","conv"=>"n","tags"=>false)	//スマホフラグ
	);

	var $column_link=array(
		1=>"ltb_title"
		,2=>"ltb_link"
		,3=>"ltb_target"
		,4=>"ltb_font"
		,5=>"ltb_font_size"
		,6=>"ltb_font_color"
		,7=>"ltb_font_color_hover"
		,8=>"ltb_bgcolor"
		,9=>"ltb_bgcolor_hover"
		,10=>"ltb_radius"
		,11=>"ltb_border"
		,12=>"ltb_border_size"
		,13=>"ltb_border_color"
		,14=>"ltb_border_color_hover"
		,15=>"ltb_align"
		,16=>"ltb_image"
		,17=>"ltb_image_type"
		,18=>"ltb_margin_top"
		,19=>"ltb_margin_right"
		,20=>"ltb_margin_bottom"
		,21=>"ltb_margin_left"
		,22=>"ltb_padding_top"
		,23=>"ltb_padding_right"
		,24=>"ltb_padding_bottom"
		,25=>"ltb_padding_left"
		,26=>"ltb_margin_top_sp"
		,27=>"ltb_margin_right_sp"
		,28=>"ltb_margin_bottom_sp"
		,39=>"ltb_margin_left_sp"
		,30=>"ltb_padding_top_sp"
		,31=>"ltb_padding_right_sp"
		,32=>"ltb_padding_bottom_sp"
		,33=>"ltb_padding_left_sp"
		,34=>"ltb_opacity"
		,35=>"ltb_opacity_hover"
		,36=>"ltb_image_hover"
		,37=>"ltb_speed"
	);

	//▼変数宣言///////////////////
	var $_data;
	var $_fonts=array(
		 null=>'---',
		'Tangerine'=>'Tangerine',
		'Mr Dafoe'=>'MrDafoe',
		'Dancing Script'=>'Dancing',
		'Playball'=>'Playball',
		'Lato'=>'Lato',
		'Playfair Display'=>'Playfair',
		'PT Sans'=>'PTsans',
		'Roboto'=>'Roboto',
		'Lora'=>'Lora',
		'Muli'=>'Muli',
		'Open Sans'=>'OpenSans',
		'League Script'=>'League'
	);
	var $_align = array('left'=>'left','center'=>'center','right'=>'right');
	var $_link_target = array(
		 '_self'=>'_self'
		,'_blank'=>'_blank'
		,'_parent'=>'_parent'
		,'_top'=>'_top'
	);
	var $_border_type = array(
		 'none'=>'線なし'
		,'solid'=>'実線'
		,'double'=>'二重の線'
		,'groove'=>'谷型の線'
		,'ridge'=>'山型の線'
		,'inset'=>'凹型の線'
		,'outset'=>'凸型の線'
		,'dotted'=>'点線'
		,'dashed'=>'破線'
	);

	//▲変数宣言///////////////////
	
	function bSuperUnit()
	{
		$this->__construct();
	}

	function __construct()
	{
		unitCommon::__construct();
	}
	//-----------------

	//出力データセット処理（必須）
	function setDisplayData() {
		if(!class_exists("imgmngrDB")){
			include LIB_PATH."/common/imgmngrDB.php";
		}
		$this->_data = $this->getDetail();

		//▼データ操作  ////////
		if($this->_data!=null){
			if(defined("SP_FLG") && SP_FLG==SP_FLG_CODE){
				//レイアウト
				if(is_numeric($this->_data["bg_color_sp"])) $this->_data["bg_color"] = $this->_data["bg_color_sp"];
				if(is_numeric($this->_data["bdr_type_sp"])) $this->_data["bdr_type"] = $this->_data["bdr_type_sp"];
				if(is_numeric($this->_data["btm_padding_sp"])) $this->_data["btm_padding"] = $this->_data["btm_padding_sp"];
				if(is_numeric($this->_data["bg_height_sp"])) $this->_data["bg_height"] = $this->_data["bg_height_sp"];
				if(is_numeric($this->_data["bg_img_initial_y_sp"])) $this->_data["bg_img_initial_y"] = $this->_data["bg_img_initial_y_sp"];
				if(!empty($this->_data["bg_title_size_sp"])) $this->_data["bg_title_size"] = $this->_data["bg_title_size_sp"];

        $_px = array(
          'ltb_margin_top', 'ltb_margin_right', 'ltb_margin_bottom', 'ltb_margin_left' 
          ,'ltb_padding_top', 'ltb_padding_right', 'ltb_padding_bottom', 'ltb_padding_left' 
        );
        foreach($_px as $k=>$v){
          if(is_numeric($this->_data[$v."_sp"]) || !empty($this->_data[$v."_sp"])){
            $this->_data[$v]=$this->_data[$v."_sp"];
          }
        }
			}
			if(is_numeric($this->_data["bg_title_size"])) $this->_data["bg_title_size"] = $this->_data["bg_title_size"]."em";
      
      if($this->_data["ltb_image"]){
        if(file_exists(BASE_PATH.UNITS_IMG_PATH.$this->_data["ltb_image"])){
          $size = getimagesize(BASE_PATH.UNITS_IMG_PATH.$this->_data["ltb_image"]);
          $this->_data["image_w"] = $size[0];
          $this->_data["image_h"] = $size[1];
        }
      }
      
      if($this->_data["ltb_image_hover"]){
        if(file_exists(BASE_PATH.UNITS_IMG_PATH.$this->_data["ltb_image_hover"])){
          $size = getimagesize(BASE_PATH.UNITS_IMG_PATH.$this->_data["ltb_image_hover"]);
          $this->_data["image_hv_w"] = $size[0];
          $this->_data["image_hv_h"] = $size[1];
        }
      }
		}

		//▲データ操作  ////////
		$this -> _view -> assign('pageu_code', $this->_pageu_code);
		$this -> _view -> assign('data', $this->_data);
		$this -> _view -> assign('ua', $this->_ua);        
		$this->_view->_tpl_vars["addLink"].='<link type="text/css" href="'.BINGOTOPURL.'/js/jquery.bingo/jquery.bbgscroll.css" rel="stylesheet" media="all" />';
		return $this->_data;
	}
  
	/*
	 * DBより保存データ取得
	 * 改変可能
	 */
	function getDetail() {
		$sql = "select * from ".$this->getTbl()." where pageu_code = ?";
		$_px = array(
			 'ltb_radius', 'ltb_border_size' 
			,'ltb_margin_top', 'ltb_margin_right', 'ltb_margin_bottom', 'ltb_margin_left' 
			,'ltb_padding_top', 'ltb_padding_right', 'ltb_padding_bottom', 'ltb_padding_left' 
			,'ltb_margin_top_sp', 'ltb_margin_right_sp', 'ltb_margin_bottom_sp', 'ltb_margin_left_sp' 
			,'ltb_padding_top_sp', 'ltb_padding_right_sp', 'ltb_padding_bottom_sp', 'ltb_padding_left_sp' 
		);
		if(isset($this->_pageu_code)&&is_numeric($this->_pageu_code)) {
			$result = $this->db->prepare($sql,$this->_pageu_code);
			if($result){
				$data = $result->fetchRow(DB_FETCHMODE_ASSOC);
				$data = $this->replaceMultipleData($data, $this->column_link, "mlt_data");
				if ($data) {
					foreach($_px as $v) {
						$data[ $v ] = is_numeric( $data[ $v ]) ? $data[ $v ]."px" : $data[ $v ];
					}
					$data['ltb_font_size'] = is_numeric($data['ltb_font_size']) ? $data['ltb_font_size']."em" : $data['ltb_font_size'];
					$data['ltb_opacity_deci'] = is_numeric($data['ltb_opacity']) ? $data['ltb_opacity'] / 100 : 1;
					$data['ltb_opacity_hover_deci'] = is_numeric($data['ltb_opacity_hover']) ? $data['ltb_opacity_hover'] / 100 : 1;
				}
			}
		}
		return $data;
	}


	function setDefault()
	{ 
		$this->_data = $this->getDetail();
		if(!$this->_data){
			$this->_data["ltb_speed"] = 0;
			$this->_data["ltb_opacity"] = 100;
			$this->_data["ltb_opacity_hover"] = 100;
			
		}else{
			//if(is_numeric($this->_data["bg_title_size"])) $this->_data["bg_title_size"] = $this->_data["bg_title_size"]."em";
			//if(is_numeric($this->_data["bg_title_size_sp"])) $this->_data["bg_title_size_sp"] = $this->_data["bg_title_size_sp"]."em";
		}
		$this->_view->assign("data", $this->_data);
		$this->_form->setDefaults($this->_data);
	}

	//フォームエレメントの作成
	function setElements()
	{
		$this->_form->addElement('hidden','pageu_code', $this->_pageu_code,array("id"=>"pageu_code")); //ページコード
		
		//タイトル
		$this->_form->addElement('text', 'ltb_title', null, array('id'=>'ltb_title', 'class'=>'txta wl length_medium'));
		//タイトル位置
		$this->_form->addElement('select', 'ltb_align', null, $this->_align, array('id'=>'ltb_align', 'class'=>'pulldown'));
		//リンク
		$this->_form->addElement('text', 'ltb_link', null, array('id'=>'ltb_title', 'class'=>'txta wl length_medium'));
		//リンクターゲット
		$this->_form->addElement('select', 'ltb_target', null, $this->_link_target, array('id'=>'ltb_target', 'class'=>'pulldown'));
		//フォント関連
		$this->_form->addElement('select', 'ltb_font', null, $this->_fonts, array('id'=>'ltb_font', 'class'=>'pulldown webfont'));
		$this->_form->addElement('text', 'ltb_font_color', null, array('id'=>'ltb_font_color', 'class'=>'color'));
		$this->_form->addElement('text', 'ltb_font_size', null, array('id'=>'ltb_font_size', 'class'=>'num alpnum'));
		$this->_form->addElement('text', 'ltb_bgcolor', null, array('id'=>'ltb_bgcolor', 'class'=>'color'));
		$this->_form->addElement('text', 'ltb_font_color_hover', null, array('id'=>'ltb_font_color_hover', 'class'=>'color'));
		$this->_form->addElement('text', 'ltb_bgcolor_hover', null, array('id'=>'ltb_bgcolor_hover', 'class'=>'color'));
		$this->_form->addElement('text', 'ltb_opacity', null, array('id'=>'ltb_opacity', 'class'=>'num'));
		$this->_form->addElement('text', 'ltb_opacity_hover', null, array('id'=>'ltb_opacity_hover', 'class'=>'num'));
		//線
		$this->_form->addElement('select', 'ltb_border', null, $this->_border_type, array('id'=>'ltb_border', 'class'=>'pulldown'));
		$this->_form->addElement('text', 'ltb_radius', null, array('id'=>'ltb_radius', 'class'=>'num alpnum'));
		$this->_form->addElement('text', 'ltb_border_size', null, array('id'=>'ltb_border_size', 'class'=>'num alpnum'));
		$this->_form->addElement('text', 'ltb_border_color', null, array('id'=>'ltb_border_color', 'class'=>'color'));
		$this->_form->addElement('text', 'ltb_border_color_hover', null, array('id'=>'ltb_border_color_hover', 'class'=>'color'));
		//背景画像
		//$this->_form->addElement('hidden', 'ltb_image_code', null, array('id'=>'ltb_image_code'));
		$this->_form->addElement('hidden', 'ltb_image', null, array('id'=>'ltb_image'));
		$this->_form->addElement('hidden', 'ltb_image_hover', null, array('id'=>'ltb_image_hover'));
		//効果
		$this->_form->addElement('text', 'ltb_speed', null, array('id'=>'ltb_speed', 'class'=>'num'));

		//タイトルICON 画像タイプフラグ 1=アイコン 2=背景 3=タイトル
		$this->_form->addElement('select', 'ltb_image_type', null, array(1=>'アイコン', 2=>'背景画像'), array('id'=>'ltb_image_type', 'class'=>'pulldown'));
		//余白関連
		$this->_form->addElement('text', 'ltb_margin_top', null, array('id'=>'ltb_margin_top', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_margin_right', null, array('id'=>'ltb_margin_right', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_margin_bottom', null, array('id'=>'ltb_margin_bottom', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_margin_left', null, array('id'=>'ltb_margin_left', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_padding_top', null, array('id'=>'ltb_padding_top', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_padding_right', null, array('id'=>'ltb_padding_right', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_padding_bottom', null, array('id'=>'ltb_padding_bottom', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_padding_left', null, array('id'=>'ltb_padding_left', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_margin_top_sp', null, array('id'=>'ltb_margin_top_sp', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_margin_right_sp', null, array('id'=>'ltb_margin_right_sp', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_margin_bottom_sp', null, array('id'=>'ltb_margin_bottom_sp', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_margin_left_sp', null, array('id'=>'ltb_margin_left_sp', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_padding_top_sp', null, array('id'=>'ltb_padding_top_sp', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_padding_right_sp', null, array('id'=>'ltb_padding_right_sp', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_padding_bottom_sp', null, array('id'=>'ltb_padding_bottom_sp', 'class'=>'num')); 
		$this->_form->addElement('text', 'ltb_padding_left_sp', null, array('id'=>'ltb_padding_left_sp', 'class'=>'num')); 
		//アンカーテキスト
		$this->_form->addElement('text', 'anchor_text', null, array('id'=>'anchor_text'));
		$this -> _view -> assign("unit_dir",$this->_unit_dir);
	}

	//フォーム入力エラーチェックの設定
	function setRules()
	{
		$this->_form->applyFilter('__ALL__','trim');
		$this->_form->_submitValues = DataBase::ConvColumnVals($this->_form->_submitValues,$this->columns); //ルールに従った値変換、タグの除去
		$this->_form->setJsWarnings('下記の項目が不正です。','');
		$this->_form->addRule('pageu_code','・「ユニットコード」が不明です。コンテンツ管理よりやり直してください','required',null,$this->erchk);

		$this->_form->registerRule("check_css_color", "regex", "/^#[0-9a-fA-F]{3}$|^#[0-9a-fA-F]{6}$/");
		$this->_form->registerRule("check_css_property", "regex", "/^\d+$|\d+(px|em|pt|%)$|^auto$/");
		$this->_form->registerRule("NumericRange", "callback", "NumericRange");

		$this->_form->addRule('ltb_opacity', _gettext('B_P01037', array('透明度', 0, 100)),'NumericRange',array(0,100),$this->erchk);
		$this->_form->addRule('ltb_opacity_hover', _gettext('B_P01037', array('透明度', 0, 100)),'NumericRange',array(0,100),$this->erchk);
		$this->_form->addRule('ltb_speed', _gettext('B_P01029', '速度'),'numeric',null,$this->erchk);
		
		$this->_form->addRule('ltb_title', _gettext('B_P01029', 'タイトル'),'required',null,$this->erchk);
		$this->_form->addRule('ltb_link', _gettext('B_P01029', 'リンク先'),'required',null,$this->erchk);
		//$this->_form->addRule('ltb_image_code', _gettext('B_P01029', '画像'),'required',null,$this->erchk);
		$this->_form->addRule("ltb_font_color", _gettext('B_P01027', '文字の色'), "check_css_color", null, "server");
		$this->_form->addRule("ltb_font_color_hover", _gettext('B_P01027', '文字の色(hover時)'), "check_css_color", null, "server");
		$this->_form->addRule("ltb_bgcolor", _gettext('B_P01027', '背景色'), "check_css_color", null, "server");
		$this->_form->addRule("ltb_bgcolor_hover", _gettext('B_P01027', '背景色(hover時)'), "check_css_color", null, "server");
		$this->_form->addRule("ltb_radius", _gettext('B_P00991', 'ボタンの角丸'), "check_css_property", null, "server");

		$this->_form->addRule("ltb_margin_top", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_margin_right", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_margin_bottom", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_margin_left", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_padding_top", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_padding_right", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_padding_bottom", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_padding_left", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");

		$this->_form->addRule("ltb_margin_top_hover", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_margin_right_hover", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_margin_bottom_hover", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_margin_left_hover", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_padding_top_hover", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_padding_right_hover", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_padding_bottom_hover", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		$this->_form->addRule("ltb_padding_left_hover", _gettext('B_P00991', 'ボタンの余白'), "check_css_property", null, "server");
		
		
	}

	//データ下書き保存処理
	function doSave($post)
	{
		include LIB_PATH."/common/imgmngrDB.php";

		if(!is_numeric($post['pageu_code'])){
			return "・データの保存に失敗しました";
		}
		$post= $this->replaceMultipleData($post, $this->column_link, "mlt_data", true);
		//既存データがあるか確認
		$old_data = $this->getDetail();
		$record = null;
		foreach($this->columns as $val) {
			if($post[$val["column"]]!=null){
				$record[$val["column"]] = $post[$val["column"]];
			}else{
				$record[$val["column"]] = null;
			}
		}
		$record["pageu_unit_code"] = $this->_unit_data["unit_code"];
		$record["pageu_unit_name"] = $this->_unit_data["unit_name"];
    $record["btm_padding"] = 0;
    $record["btm_padding_sp"] = 0;

		//画像処理
		$cparr=array();
		//画像
		if($post["bg_img_del"] == 1){
			$record["mlt_data16"]=null;
		}else{
			if(is_numeric($record["mlt_data16"])) {	
				$post_img_data=$record["mlt_data16"];
				$old_img_data=null;
				if(!empty($old_data["ltb_image"])){
					$old_img_data=$old_data["ltb_image"];
				}
				//画像コードが違う時だけ処理
				$imginfo=null;
				if(!$old_img_data || ($old_img_data != $post_img_data)){
					$imgmngrDB = new imgmngrDB();
					$imgdata = $imgmngrDB->getImageFromCode($post_img_data, UNITS_IMG_PATH, $record["pageu_code"], 1);
					if(isset($imgdata)){
						$data_path = $imgdata["img_src"]; // コピー元（素材管理の画像パス）
						$img_path = $imgdata["gimg_src"];	// コピー先（公開用の画像パス）
						$imginfo=getimagesize(BASE_PATH.$data_path);
						$record["mlt_data16"] = array_pop(explode('/',$img_path)); //保存ファイル名取得
						$cparr[$data_path] = $img_path;
					}else{
						return _gettext('B_P00651');
					}
				}
			}
		}

		if($post["bg_img2_del"] == 1){
			$record["mlt_data36"]=null;
		}else{
			if(is_numeric($record["mlt_data36"])) {	
				$post_img_data=$record["mlt_data36"];
				$old_img_data=null;
				if(!empty($old_data["ltb_image_hover"])){
					$old_img_data=$old_data["ltb_image_hover"];
				}
				//画像コードが違う時だけ処理
				$imginfo=null;
				if(!$old_img_data || ($old_img_data != $post_img_data)){
					$imgmngrDB = new imgmngrDB();
					$imgdata = $imgmngrDB->getImageFromCode($post_img_data, UNITS_IMG_PATH, $record["pageu_code"], 1);
					if(isset($imgdata)){
						$data_path = $imgdata["img_src"]; // コピー元（素材管理の画像パス）
						$img_path = $imgdata["gimg_src"];	// コピー先（公開用の画像パス）
						$imginfo=getimagesize(BASE_PATH.$data_path);
						$record["mlt_data36"] = array_pop(explode('/',$img_path)); //保存ファイル名取得
						$cparr[$data_path] = $img_path;
					}else{
						return _gettext('B_P00651');
					}
				}
			}
		}

		$this->db->query('BEGIN');
		//保存処理開始
		//基本データ
		if(is_array($old_data)&& count($old_data)>0) {
			//更新
			if(!$this->db->update($this->getTbl(),$record, "pageu_code=".$record["pageu_code"])) {
				$this->db->query('ROLLBACK');
				return "・データの保存に失敗しました";
			}
		} else { //新規
			if(!$this->db->insert($this->getTbl(),$record)) {
				$this->db->query('ROLLBACK');
				return "・データの保存に失敗しました";
			}
		}

		//画像保存
		if(is_array($cparr)){
			foreach($cparr as $src=>$dist){
				if(!@copy(BASE_PATH.$src, BASE_PATH.$dist)){
					$this->db->query('ROLLBACK');
					return _gettext('B_P00650');
				} else {
					@chmod(BASE_PATH.$dist, 0666);
				}
			}
		}

		$this -> db -> query("COMMIT");
		return null;
	}


	//公開処理
	function TmptoCommon($pageu_code, $db) {
		if(!parent::TmptoCommon($pageu_code, $db)){
			return false;
		}
		return true;
	}
	
	/*
	 * ロールバック（下書きテーブルへ公開データをコピー）（共通）
	 * pageView.phpが呼びます、ロールバック、コミットはpageViewにて行うのでbooleanで返してください。
	 */
	function CommonToTmp($pageu_code,$db) {
		if(!parent::CommonToTmp($pageu_code, $db)){
			return false;
		}
		return true;
	}
	

	/*
	 * ユニット複製処理（共通）
	 * page-unitlayout.phpより呼ばれます
	 * トランザクション処理は呼び元で行います
	 * @param $pageu_code コピー元のコード
	 * @param $target_pageu_code コピー先のコード
	 */
	function unitCopy($pageu_code, $target_pageu_code, $db, $itemcopy=false) {
		if(!parent::unitCopy($pageu_code, $target_pageu_code, $db, $itemcopy)){
			return false;
		}
		return true;
	}
}
?>